using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ujszallitasicim_felvitele : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.User.Identity.IsAuthenticated)
        {
            Response.Redirect("kezdolap.aspx");
        }

        if (!IsPostBack)
        {
            ddlBeosztas.Items.Clear();
            ddlBeosztas.Items.Add("Válassz...");
            ddlBeosztasFeltolt();
        }
    }
    public void ddlBeosztasFeltolt()
    {
        System.Collections.Generic.List<db.beosztas> beosztasElemek = new System.Collections.Generic.List<db.beosztas>();
        db.adatbazisMuveletek.beosztasLekerdez(out beosztasElemek);
        for (int i = 0; i < beosztasElemek.Count; i++)
        {
            ddlBeosztas.Items.Add(new ListItem(beosztasElemek[i].beosztasNev.ToString(),beosztasElemek[i].beosztasID.ToString()));
        }
    }
    protected void btnMentSzallAd_Click(object sender, EventArgs e)
    {
        int beosztasID = 0;
        int kontaktID = 0;
        int szcimID = 0;
        beosztasID = ddlBeosztas.SelectedIndex;
        db.adatbazisMuveletek.kontaktRogzit(0, beosztasID, txtKapcsolattarto.Text, txtTelSzam.Text, txtFax.Text, txtMobil.Text, txtMail.Text);
        db.adatbazisMuveletek.szallitasicimRogzites(1, txtVaros.Text, txtUtca.Text, txtIrszam.Text, 0);
        db.adatbazisMuveletek.szcimIdTOkontaktIdLekerdez(0, out kontaktID);
        db.adatbazisMuveletek.kontaktIDszcimIdLekerdez(0,out szcimID);
        db.adatbazisMuveletek.kontaktszCimIdUpdate(szcimID);
        db.adatbazisMuveletek.szcimKontaktIdUpdate(kontaktID);

    }
}
